SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations
RelayPlugin.h File Reference

Contains the class RelayPlugin. More...

`#include "NativeFeatureIncludes.h"`
`#include "PluginInterface2.h"`
`#include "string.h"`
`#include "DS_Hash.h"`

Go to the source code of this file.

## Classes

class | SLNet::RelayPlugin
| A simple class to relay messages from one system to another, identifying remote systems by a string. More...
struct | SLNet::RelayPlugin::StrAndGuidAndRoom
struct | SLNet::RelayPlugin::StrAndGuid
struct | SLNet::RelayPlugin::RP_Group

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum

SLNet::RelayPluginEnums {
SLNet::RPE_MESSAGE_TO_SERVER_FROM_CLIENT, SLNet::RPE_ADD_CLIENT_REQUEST_FROM_CLIENT, SLNet::RPE_REMOVE_CLIENT_REQUEST_FROM_CLIENT, SLNet::RPE_GROUP_MESSAGE_FROM_CLIENT,
SLNet::RPE_JOIN_GROUP_REQUEST_FROM_CLIENT, SLNet::RPE_LEAVE_GROUP_REQUEST_FROM_CLIENT, SLNet::RPE_GET_GROUP_LIST_REQUEST_FROM_CLIENT, SLNet::RPE_MESSAGE_TO_CLIENT_FROM_SERVER,
SLNet::RPE_ADD_CLIENT_NOT_ALLOWED, SLNet::RPE_ADD_CLIENT_TARGET_NOT_CONNECTED, SLNet::RPE_ADD_CLIENT_NAME_ALREADY_IN_USE, SLNet::RPE_ADD_CLIENT_SUCCESS,
SLNet::RPE_USER_ENTERED_ROOM, SLNet::RPE_USER_LEFT_ROOM, SLNet::RPE_GROUP_MSG_FROM_SERVER, SLNet::RPE_GET_GROUP_LIST_REPLY_FROM_SERVER,
SLNet::RPE_JOIN_GROUP_SUCCESS, SLNet::RPE_JOIN_GROUP_FAILURE
}

## Detailed Description

Contains the class RelayPlugin.

Definition in file RelayPlugin.h.